Bug 1364006 - The plug-in path is changed on GIMP preference
Summary: The plug-in path is changed on GIMP preference
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp-layer-via-copy-cut
Version: 24
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-04 09:17 UTC by jiri vanek
Modified: 2016-09-23 03:21 UTC (History)
8 users (show)

Fixed In Version: gimp-layer-via-copy-cut-1.6-4.fc25 gimp-layer-via-copy-cut-1.6-4.fc24 gimp-layer-via-copy-cut-1.6-4.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-20 17:07:15 UTC


Attachments (Terms of Use)

Description jiri vanek 2016-08-04 09:17:27 UTC
No meter what I do, the plugin is not found by gimp after the install.


After ln -s /usr/share/gimp/2.0/plug-ins/layer-via-copy-cut.py  ~/.gimp-2.8/plug-ins/layer-via-copy-cut.py it works.


May the RPMs be fixed so the linking to usersapce is not needed?

Comment 1 Luya Tshimbalanga 2016-08-04 16:46:28 UTC
(In reply to jiri vanek from comment #0)
> No meter what I do, the plugin is not found by gimp after the install.
> 
> 
> After ln -s /usr/share/gimp/2.0/plug-ins/layer-via-copy-cut.py 
> ~/.gimp-2.8/plug-ins/layer-via-copy-cut.py it works.
> 
> 
> May the RPMs be fixed so the linking to usersapce is not needed?

It sounds like an issue with RPM on rawhide. If you look at the spec file, nothing suggest manually ln -s as it is done automatically.

https://paste.fedoraproject.org/401330/32907514/

Comment 2 jiri vanek 2016-08-05 07:47:25 UTC
Sorry. Thats 24. fixing.

I'm not sure what to see in specfile.


This is one file pacage, and file is installed as:

http://pkgs.fedoraproject.org/cgit/rpms/gimp-layer-via-copy-cut.git/tree/gimp-layer-via-copy-cut.spec#n29


Unluckily, it looks gimp  no longer looks for plugins in here.

Comment 3 Luya Tshimbalanga 2016-08-15 05:13:28 UTC
(In reply to jiri vanek from comment #2)
> Sorry. Thats 24. fixing.
> 
> I'm not sure what to see in specfile.
> 
> 
> This is one file pacage, and file is installed as:
> 
> http://pkgs.fedoraproject.org/cgit/rpms/gimp-layer-via-copy-cut.git/tree/
> gimp-layer-via-copy-cut.spec#n29
> 
> 
> Unluckily, it looks gimp  no longer looks for plugins in here.

It is likely a bug related to gimp. Looking at the Preference -> Folders, plugins path is listed but somehow failed to display this plugins i.e layer-via-copy-gut. Assigning to Gimp.

Comment 4 Luya Tshimbalanga 2016-09-14 03:10:31 UTC
Revisiting this bug. The the plug-ing path has changed upstream and I managed to fix it.

Comment 5 Fedora Update System 2016-09-14 03:55:26 UTC
gimp-layer-via-copy-cut-1.6-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-150c1f303d

Comment 6 Fedora Update System 2016-09-14 03:55:38 UTC
gimp-layer-via-copy-cut-1.6-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e34555ec90

Comment 7 Fedora Update System 2016-09-14 03:55:44 UTC
gimp-layer-via-copy-cut-1.6-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c77e3fbbe

Comment 8 Fedora Update System 2016-09-14 20:21:24 UTC
gimp-layer-via-copy-cut-1.6-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-150c1f303d

Comment 9 Fedora Update System 2016-09-14 20:56:26 UTC
gimp-layer-via-copy-cut-1.6-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e34555ec90

Comment 10 Fedora Update System 2016-09-14 21:23:53 UTC
gimp-layer-via-copy-cut-1.6-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c77e3fbbe

Comment 11 Fedora Update System 2016-09-20 17:07:10 UTC
gimp-layer-via-copy-cut-1.6-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-09-23 00:23:51 UTC
gimp-layer-via-copy-cut-1.6-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-09-23 03:21:35 UTC
gimp-layer-via-copy-cut-1.6-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.